> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1contentuploadfile



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Content//swagger/v1/swagger.json post /api/v1/content/uploadFile
openapi: 3.0.0
info:
  title: NDS.Services.Content
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Content/
security: []
paths:
  /api/v1/content/uploadFile:
    post:
      tags:
        - Content
      operationId: Content_UploadFiles
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  type: array
                  nullable: true
                  items:
                    type: string
                    format: binary
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UploadFilesResult'
components:
  schemas:
    UploadFilesResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true

````